<%- include('../partials/header') %>
<h1><%= title %></h1>

<form method="POST" enctype="multipart/form-data">
  <!-- ... other form fields ... -->
  <fieldset class="form-group">
    <label for="name" class="col-2">Name:</label>
    <input name="name" id="name" class="form-control"/>
  </fieldset>
  <fieldset class="form-group">
    <label for="image" class="col-2">Image:</label>
    <input type="file" name="image" id="image" class="form-control" accept=".jpg, .jpeg, .png" required>
  </fieldset>
  <fieldset class="form-group">
    <label for="updateDate" class="col-2">Date Identified:</label>
    <input
      name="updateDate"
      id="updateDate"
      required
      class="form-control"
      placeholder="YYYY:MM:DD HH:mm:ss"
    />
  </fieldset>
  <!-- -->
  <fieldset class="form-group">
    <label for="location" class="col-2">Location:</label>
    <input name="location" id="location" class="form-control" placeholder="Latitude, Longitude (e.g., 45.0000, -45.0000)"/>
  </fieldset>
  <!-- Display the selected location's coordinates -->
  <div id="coordinates"><span id="help">If unsure of coordinates - enter name of location, then copy map coordinates</span></div>
  <!-- Display the selected location's coordinates using Leaflet -->
  <div id="map" style="height: 300px;"></div>
  <!-- Button needs to be inside <form> element to trigger POST -->
  <button class="offset-3 btn btn-primary" type="submit">Save</button>
</form>

<%- include('../partials/footer') %>